Subject: Re: [PATCH net 1/2] netlink: fix false positive warning in extack during dumps

From: Jakub Kicinski <[email-masked]>
Date: Fri, 15 Nov 2024 08:38:16 -0800

On Fri, 15 Nov 2024 14:00:07 +0000 Simon Horman wrote:
> > + * nlmsg_addr_in_payload - address points to a byte within the message payload
> > + * @nlh: netlink message header  
> 
> nit: something about @addr should go here.

Ah, thanks, I just sent a mass conversion, the missing Return
statements make the warnings hard to spot.

I'll also move the warning into the helper in v2, I hate 
the double negation in the caller.
-- 
pw-bot: cr